package com.rapidminer.mapreduce;

/**
 * Exception for all exception thrown in the MapReduce context.  
 * 
 * @author Marcin Skirzynski
 *
 */
public class MapReduceException extends Exception {
	private static final long serialVersionUID = -5046572040955711100L;
	
	/**
	 * Exception with the given message.
	 * 
	 * @param message	specifies the error
	 */
	public MapReduceException(String message) {
		super(message);
	}
	
	/**
	 * Wraps the exception.
	 * 
	 * @param caught	exception thrown in the MapReduce context
	 */
	public MapReduceException(Throwable caught) {
		super(caught);
	}
	
	/**
	 * Exception which wraps the given exception and adds the
	 * given message.
	 * 
	 * @param message	additional message for the wrapped exception
	 * @param caught	the caught exception to wrapped
	 */
	public MapReduceException(String message, Throwable caught) {
		super(message, caught);
	}

}
