package com.rapidminer.mapreduce;

/**
 * <p>Creates a {@link Mapper} instance which will compute a chunk of
 * the data.</p>
 * 
 * @author Marcin Skirzynski
 *
 * @param <I>	The input class of the {@link Mapper}
 * @param <M>	The interum result class of the {@link Mapper}
 */
public interface MapperFactory<I,M> {
	
	/**
	 * <p>Creates a {@link Mapper} instance which will compute a chunk of
	 * the data.</p>
	 * @return
	 */
	public Mapper<I,M> createMapper();
	
}
