package com.rapidminer.mapreduce;

/**
 * Creates a {@link Reducer} which reduces the interim results 
 * of the {@link Mapper} to a single result.
 * 
 * @author Marcin Skirzynski
 *
 * @param <M>	the type of the interim result
 * @param <O>	the output type of the reducer
 */
public interface ReducerFactory<M,O> {
	
	/**
	 * Creates a {@link Reducer} which reduces the interim results.
	 *  
	 * @return	the {@link Reducer} for the map and reduce process
	 */
	public Reducer<M,O> createReducer();
	
}
