package com.rapidminer.operator.performance;

import com.rapidminer.operator.Operator;
import com.rapidminer.operator.OperatorDescription;
import com.rapidminer.operator.OperatorException;
import com.rapidminer.operator.ports.InputPort;

/**
 * Start the measurement of this process.
 *  
 * @author Marcin Skirzynski
 */
public class StopComputingPerformanceMeasurement extends Operator {
	
	/**
	 * The performance object to stop.
	 */
	private InputPort performanceInput = getInputPorts().createPort("performance", ComputingPerformance.class);
	
	public StopComputingPerformanceMeasurement(OperatorDescription description) {
		super(description);
	}

	/**
	 * Just stops the measurement of the performance
	 */
	@Override
	public void doWork() throws OperatorException {
		ComputingPerformance performance = performanceInput.getData();
		performance.stop();
	}
	
}
