package com.rapidminer.subspace;

import org.junit.Test;

import static org.junit.Assert.*;

public class IntervalTest {
	
	public static Interval ia1 = new Interval("a",-1.2,1.2);
	public static Interval ia2 = new Interval("a", 1.2,2.2);
	public static Interval ia3 = new Interval("a", 2.2,3.0);
	
	private static Interval ia1Duplicate = new Interval("a", -1.2, 1.2);
	
	public static Interval ib1 = new Interval("b", 2.0,3.0);
	
	@Test
	public void equalAttributes() {
		assertTrue(ia1.equalAttribute(ia2));
		assertFalse(ia1.equalAttribute(ib1));
	}
	
	@Test
	public void equalsHash() {
		assertTrue(ia1.hashCode() == ia1Duplicate.hashCode());
		assertTrue(ia1.equals(ia1Duplicate));
		assertFalse(ia1.equals(ia2));
	}
	
	@Test
	public void compare() {
		assertTrue(ia1.compareTo(ia1Duplicate)==0);
		assertTrue(ia1.compareTo(ia2)<0.0);
		assertTrue(ia2.compareTo(ia1)>0.0);
	}

	@Test
	public void neighbor() {
		assertTrue(ia1.neighborOf(ia2));
		assertTrue(ia2.neighborOf(ia1));
		
		assertFalse(ia1.neighborOf(ia1Duplicate));
		assertFalse(ia1Duplicate.neighborOf(ia1));
		
		assertFalse(ia1.neighborOf(ia3));
		assertFalse(ia3.neighborOf(ia1));
		
		assertTrue(ia2.neighborOf(ia3));
		assertTrue(ia1.neighborOf(ia2));
	}
}
